Marketplace
Get your custom model pricing entries
List the live version of each model rate your organization has registered. Only your own rates are returned. Filters combine, and paging is by limit and offset.
GET
/
marketplace
/
providers
/
models
Get your custom model pricing entries
curl --request GET \
--url https://pricing.baselinehq.cloud/marketplace/providers/models \
--header 'X-API-Key: <api-key>'import requests
url = "https://pricing.baselinehq.cloud/marketplace/providers/models"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://pricing.baselinehq.cloud/marketplace/providers/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"providers": [
{
"context_limit": 123,
"currency": "<string>",
"effective_from": "<string>",
"effective_to": "<string>",
"fetched_at": "<string>",
"host": "<string>",
"id": "<string>",
"modalities_input": [
"<string>"
],
"modalities_output": [
"<string>"
],
"model": "<string>",
"model_id": "<string>",
"open_weights": true,
"output_limit": 123,
"provider": "<string>",
"publisher": "<string>",
"raw_pricing_data": {},
"reasoning": true,
"region": "<string>",
"sku_price_id": "<string>",
"source": "<string>",
"source_url": "<string>",
"structured_output": true,
"tags": {},
"token_bucket": "<string>",
"tool_call": true,
"unit_price_per_mtok": 123
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
ApiKeyAuthBearerAuth
API key with "bl_" prefix (e.g. "bl_<api_key>")
Query Parameters
Maximum entries to return (default 500)
Entries to skip
Filter by model
Filter by model provider
Filter by region
Filter by token bucket
Response
Pricing response for custom model pricing
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Get your custom model pricing entries
